<?	session_start();
	if(!isset($_SESSION['id_admin'])){
		header("../acceso.php"); /* Si no hay sesion vamos al login.php */
	} else {

	include_once('../includes/Conexion.inc.php');

	$Id = $_GET["Id"];
	if (!isset($Id))
		header("location:index.php");  
	$Id_subseccion = $_GET['Id_subseccion'];
	if (!isset($Id_subseccion))
		$Id_subseccion=0;
	$Id_cajon = $_GET['Id_cajon'];

	for ($i=0;$i<10;$i++){	
		$nombre_foto= $_FILES["$i"]['name']; 
		if ($nombre_foto <>"")
			{ 								
				$ruta ="../imagenes/grandes/$Id$nombre_foto";
				move_uploaded_file($_FILES["$i"]['tmp_name'], $ruta) ;
			
			Conectar();

			if (!isset($Id_cajon))
				$sql = "Insert into Imagenes ";
			else
				$sql = "Insert into imagenes_cajon ";
			$sql = $sql. "(Archivo,Id_seccion,Descripcion,Id_subseccion) ";
			$sql = $sql. "values ('$Id$nombre_foto','$Id','$nombre_foto','$Id_subseccion')";		
			mysql_query($sql);

			
			$hmax=125;
			$url_sinespacios=$nombre_foto;
			str_replace(' ','%20',$url_sinespacios);	
			$nombre="../imagenes/grandes/$Id$url_sinespacios";
			$destino="../imagenes/miniaturas/$Id$nombre_foto";;
			$datos = getimagesize($nombre);
			if($datos[2]==1){$img = @imagecreatefromgif($nombre);}
			if($datos[2]==2){$img = @imagecreatefromjpeg($nombre);}
			if($datos[2]==3){$img = @imagecreatefrompng($nombre);}
			$anchura=imagesx($img);
			$ratio = ($datos[0] / $anchura);
			$altura = ($datos[1] / $ratio);
			if($altura>$hmax){$anchura2=$hmax*$anchura/$altura;$altura=$hmax;$anchura=$anchura2;}
			$thumb = imagecreatetruecolor($anchura,$altura);
			imagecopyresampled($thumb, $img, 0, 0, 0, 0, $anchura, $altura, $datos[0], $datos[1]);
			if($datos[2]==1){imagegif($thumb,$destino);}
			if($datos[2]==2){imagejpeg($thumb,$destino);}
			if($datos[2]==3){imagepng($thumb,$destino); }
			imagedestroy($thumb);
		
			Desconectar();
			}
		}

	if ($Id_subseccion == 0)
		header("location:../redirige.php?Id=$Id");
	else 
		header("location:../redirige.php?Id_subseccion=$Id_subseccion");
	exit;
	}
?>